import instance from '@/main'
import { parseErrorNotification, parseBlacklist } from '@/util/helpers'
import * as Sentry from '@sentry/browser'


const errorUrlBlacklist = [
  '/api/get-token/',
]
const blackListRegExp = new RegExp(parseBlacklist(errorUrlBlacklist), 'g')

export function errorInterceptor (error: any): any {
  if (!error.response.request.responseURL.match(blackListRegExp)) {
    instance.$notify({
      title: 'Request failed.',
      text: parseErrorNotification(error.response),
      type: 'error',
      duration: -1
    })
  }
  Sentry.captureException(error)
  return Promise.reject(error)
}
